version: '3'

services:
    mysql:
        image: mysql:5.7
        volumes:
          - data:/var/lib/mysql
        ports:
          - 3316:3306
        environment:
          - MYSQL_ROOT_HOST=%
          - MYSQL_ROOT_PASSWORD=pass
#- MYSQL_INITDB_SKIP_TZINFO=yes
        restart: always
        command: "mysqld --character-set-server=utf8mb4 --collation-server=utf8mb4_unicode_ci"

    bot:
        image: python:3.9.2
        volumes:
         - .:/usr/src/myapp
        depends_on:
          - mysql
        working_dir:  /usr/src/myapp
        command:
          ["bash",  "-c", "python -m venv bot_venv && source bot_venv/bin/activate && pip install -r requirements.txt \
          && python -u db_init.py && python -u telegram_bot.py"]
        restart:  always


volumes:
    data: